import {mande} from "mande";
import {queryRemoveZero} from "@/api/utils.js";

const providers = mande('/api/v2/providers')

export const ListProviders = (q) => {
    const query = queryRemoveZero(q)
    return providers.get({query})
}

export const CreateProvider = (provider)=>{
    return providers.post(provider)
}

export const UpdateProvider = (provider)=>{
    return providers.put(provider)
}

export const GetProvider = (id) =>{
    return providers.get(`/${id}`)
}

export  const DeleteProvider = (id)=>{
    return providers.delete(`/${id}`)
}

export const GetProviderDictStatus = () =>{
    return providers.get('/dict/status')
}

export const FindProviders= (q) =>{
    const query = queryRemoveZero(q)
    return providers.get('find',{query})
}



const provider = mande('/api/v2/provider')

// 拉取供应商所有商品价格
export const FetchProviderArticles = (providerId)=>{
    return provider.post(`/${providerId}/pull`)
}

export const FetchProviderArticle = (providerArticle)=>{
    return provider.post(`/${providerArticle.providerId}/fetch/${providerArticle.id}`)
}